#Western Castle floor 1 stairs (down)
from eventAPI import *
from APIUtils import *

rtcastle0complete = 0

def fireEvent(e):
   global rtcastle0complete
   rtcastle0complete = getTag(e, "rtcastle0complete")
   showPicture(e, "Stairs_D")
   if (poseYesNo(e, ["There is a stairway here leading down to the basement of the castle", "", "Do you take the stairs?"])):
      if (rtcastle0complete == 0):
         setExit(e, "maps/rtcastle0a.cfg", 15, 12, 0)
      elif (rtcastle0complete == 1):
         setExit(e, "maps/rtcastle0b.cfg", 15, 12, 0)
      return 0
